/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("net.jazz.ajax.ui.MappingUI");

dojo.require("jazz.core.internal.loader");
dojo.require("jazz.core.RegistryFactory");

// DEPRECATED Do not use. Will be removed in 1.0.0.1.
net.jazz.ajax.ui.MappingUI = {
	
	// DEPRECATED Do not use. Will be removed in 1.0.0.1.
	createAndRunMappingHandler: function(mappingId) {
		this._mappingId = mappingId;
		var _self = this;
		var RegistryFactory = jazz.core.RegistryFactory;
		var extensionPoint = RegistryFactory.getRegistry().getExtensionPoint("net.jazz.ajax.mappings");
		dojo.forEach(extensionPoint.getExtensions(), function(extension) {
			dojo.forEach(extension.getConfigurationElements(), function(configElement) {
				if (configElement.getName() !== "mapping") { return; }
				if (configElement.getAttribute("id") == mappingId) {
					_self._pattern = configElement.getAttribute("pattern");
					var className = configElement.getAttribute("jsclass");
					jazz.core.internal.loader.load_sync(className);
					var constructor = dojo.getObject(className);
					new constructor({id: mappingId}, dojo.byId("net-jazz-ajax-MappingRoot"));
				}
			});
		});
	},
	
	_getMappingId: function() {
		return this._mappingId;
	},
	
	_getPattern: function() {
		return this._pattern;
	},
	
	_getPathInfo: function() {
		return window.location.pathname;
	}
};