// NLS_CHARSET=UTF-8
/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
({
	
	// template
	
	'heading': "Správa spotřebitelů OAuth",
	
	'displayConsumerTableHeading': "Autorizované klíče",
	'authorizedKeysDescription': "Následující klíče jsou autorizovány pro přístup na tento server. Zvolte jméno spotřebitele, abyste mohli upravit vlastnosti klíče spotřebitele, jako je název, utajení, předem autorizovaný uživatel, a důvěryhodné hodnoty. Přidružení předem autorizovaného uživatele s klíčem spotřebitele umožňuje tomuto uživateli vydávat dotazy bez dalšího ověřování identity. Aplikace tuto schopnost používají ke spouštění administrativních úloh na pozadí, jako je odesílání oznámení pošty, bez zásahu uživatele.",
	'registerConsumerHeading': "Registrovat spotřebitele",
	'registerConsumerDescription': "Zaregistrujte tajný údaj spotřebitele OAuth, abyste vytvořili nový klíč spotřebitele. Důvěryhodní spotřebitelé mohou sdílet autorizaci s jinými důvěryhodnými spotřebiteli a uživateli, kteří nebyl vyzváni ke schválení přístupových dat. Je doporučeno, aby externí weby nebo produkty byly zváženi za nedůvěryhodné.",
	'registerButtonText': "Registrovat",
	'consumerKeyLabel': "Klíč spotřebitele", 
	'consumerSecretLabel': "Tajný údaj spotřebitele",
	'retypeConsumerSecretLabel': "Opětovné zadání tajného údaje spotřebitele",
	'preAuthorizedUser': "Předem autorizovaný uživatel", 
	'selectUserLinkLabel': "Zvolte uživatele...",
	'clearUserLinkLabel': "Vymažte uživatele...",
	'consumerTrustedLabel': "Důvěryhodný", 
	'consumerAuthorized': "Autorizovaný", 
	'untrustedValue': "Nedůvěryhodný", 
	'trustedValue': "Důvěryhodný",
	'authorizedValue': "Autorizovaný",
	
	'editConsumerHeading': "Klíč spotřebitele ${0}",
	'editConsumerDialogTitle': "Vlastnosti klíče spotřebitele",
	'confirmEditCancel': "Opravdu chcete opustit tento editor? Všechny změny budou ztraceny. Klepnutím na tlačítko Storno můžete pokračovat nebo klepnutím na tlačítko OK editor opusťte.",
	
	'fieldNotBlank': "Název nesmí být prázdný",
	'successMessage': "Spotřebitel byl úspěšně registrován s klíčem spotřebitele: ${0}", 
	'confirmDelete': "Opravdu chcete odstranit tento klíč spotřebitele?",
	'removeConsumerButton': "Odstranit klíč spotřebitele",
	
	'authorizeProvisionalHeading': "Přechodné klíče",
	'authorizeProvisionalDescription': "Spotřebitelé mohou požadovat přechodné klíče OAuth, které nejsou aktivní, dokud nejsou autorizovány administrátorem. Následující klíče musejí být autorizovány, aby mohly být použity jako klíče spotřebitele OAuth.",
	
	'noProvisional': "Neexistují žádné přechodné klíče.",
	'noConsumer': "Neexistují žádné klíče spotřebitele.",
	'nameLabel': "Jméno spotřebitele",
	'provisionalKeyLabel': "Přechodný klíč",
	'requestedAsLabel': "Požadovaný jako",
	'grantAsLabel': "Důvěryhodný", 
	'refresh': "Aktualizovat", 
	'save': "Uložit",
	'pendingLabel': "Nevyřízeno", 
	'approveLabel': "Schválit", 
	'rejectLabel': "Odmítnout",
	'approvedLabel': "Schváleno", 
	'rejectedLabel': "Odmítnuto",
	
	'trustedWarning': "Opravdu chcete tento klíč autorizovat jako důvěryhodného spotřebitele? Důvěryhodní spotřebitelé mohou sdílet autorizaci s jinými důvěryhodnými spotřebiteli a pro přístup k datům nepotřebují schválení uživatele", 
	
	// Authorize OAuth module
	'moduleHeading': "Autorizovat přechodný klíč",
	'moduleSummary': "Máte přístup k \"${0}\" pro autorizaci požadavku na přechodný klíč od \"${1}\" ke zřízení meziserverové komunikace.",
	'moduleDetails': "\"Jméno spotřebitele\" lze upravit v zájmu snadnější identifikace požadujícího serveru. Vyberte \"Důvěryhodný\", má-li být požadující spotřebitel schopen sdílet autorizaci s ostatními důvěryhodnými spotřebiteli.", 
	'moduleFailure': "Došlo k chybě při ukládání aktualizací přechodného klíče."	
})

