/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("jazz.app.ua.internal.util");

dojo.require("jazz.client.xhr");

jazz.app.ua.internal.util.copyChildNodes = function(newParent, oldParent) {
	for (var i=0; i < oldParent.childNodes.length; i++) {
		if (oldParent.childNodes[i].tagName) {
			newParent.appendChild(document.createElement(oldParent.childNodes[i].tagName));
			jazz.app.ua.internal.util.copyChildNodes(newParent.lastChild, oldParent.childNodes[i]);
		} else {
			newParent.appendChild(document.createTextNode(oldParent.childNodes[i].nodeValue));
		}
	}
};