/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function(){
    dojo.provide("com.ibm.team.repository.web.ui.internal.admin.server.LicenseQuickConnectStep");
    
    dojo.require("dijit._Widget");
    dojo.require("dijit._Templated");
    dojo.require("net.jazz.ajax.ui.PlatformUI");
    dojo.require("dojo.i18n");
    dojo.require("com.ibm.team.repository.web.ui.wizard.WizardStep");
    dojo.require("com.ibm.team.repository.web.ui.wizard.WizardStepHeader");
    
    //
    // Aliases
    //

    var WizardStepHeader = com.ibm.team.repository.web.ui.wizard.WizardStepHeader;
    var WizardStep = com.ibm.team.repository.web.ui.wizard.WizardStep;
    var messages;
    //
    // Widget definition
    //
    
    dojo.declare("com.ibm.team.repository.web.ui.internal.admin.server.LicenseQuickConnectStep", [WizardStep, dijit._Widget, dijit._Templated], {
    
        templatePath: dojo.moduleUrl("com.ibm.team.repository.web", "ui/internal/admin/server/templates/LicenseQuickConnectStep.html"),
        
        constructor: function(){
            this.messages = messages = dojo.i18n.getLocalization("com.ibm.team.repository.web.ui.internal.admin.server", "LicenseEditorMessages");
        },
        
        postCreate: function(){
			this.header = new WizardStepHeader({
                stepTitle: this.stepTitle
            });
            this.stepHeaderArea.appendChild(this.header.domNode);
			this.checkboxFloatingServer.checked = this.initialVal;
        },
		canFinish: function(){
            return true;
        }
				
	});

})();