// NLS_CHARSET=UTF-8
/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
({	
	'limitHeader': "限制",
	'limitHeaderInfo': "在此服务器上可以使用的客户访问许可证的最大数目。这是假定用户完成所有可能的购买行为后此类型的理论限制。", 
	'includedHeader': "包括数",
	'includedHeaderInfo': "随密钥包括的客户访问许可证的数目。", 
	'totalHeader': "总数",
	'totalHeaderInfo': "此服务器管理的客户访问许可证的数目。总数是包括数目与购买数目之和。", 
	'trialHeader': "试用数",
	'trialHeaderInfo': "由于服务器处于试用方式而提供的客户访问许可证的数目。如果已购买服务器许可证，那么此数目将替换为实际购买的许可证数目。", 
	'purchasedHeader': "购买数",
	'purchasedHeaderInfo': "已购买的客户访问许可证的数目。", 
	'assignedHeader': "分配数",
	'assignedHeaderInfo': "当前分配给用户的客户访问许可证的数目。", 
	'availableHeader': "可用数",
	'availableHeaderInfo': "当前可以分配给用户的客户访问许可证的数目。", 
	'usersHeader': "用户",
	'usersHeaderInfo': "对于每个密钥可供用户使用的客户访问许可证数。对于服务器许可证密钥，这是此服务器上允许的最大用户数。",
	
	'floatLimitHeader': "限制",
	'floatLimitHeaderInfo': "在此服务器上可以使用的此类浮动客户访问许可证的最大数目。这是假定用户完成所有可能的购买行为后此类型的理论限制。", 
	'floatIncludedHeader': "包括数",
	'floatIncludedHeaderInfo': "随密钥包括的浮动客户访问许可证的数目。", 
	'floatTotalHeader': "总数",
	'floatTotalHeaderInfo': "此服务器管理的浮动客户访问许可证的数目。总数是包括数目与购买数目之和。", 
	'floatPurchasedHeader': "购买数",
	'floatPurchasedHeaderInfo': "已购买的浮动客户访问许可证的数目。", 
	
	'clientDescription': "客户访问许可证允许用户执行一组确定的功能以及管理已安装的" + 
		"产品的用户限制。客户访问许可证被授予单个用户并保证可供该" +
		"用户使用。浮动客户访问许可证可以由多个用户共享，这些用户" + 
		"在需要许可证时可以逐个地获取许可证（如果有可用许可证的话）。", 
		
	'noFloatingSupport': "尚未在此服务器上启用浮动许可证。要添加对浮动许可证的支持，请使用服务器的“编辑”链接来安装允许使用浮动许可证的服务器许可证。",
				
	'refresh': "刷新",
	'save': "保存", 
	'heading': "许可证密钥管理",
	'hiddenMessage': "此处显示消息！",
	'serverHeading': "服务器激活密钥",
	'serverLicenseDescription': "已安装的服务器激活密钥确定所启用的 Jazz Team Server 功能。",
	'property': "属性",
	'value': "值",
	'clientHeading': "客户访问许可证类型",
	'clientTableHeading': "客户访问许可证类型",
	'clientTableDescription': "此服务器上的用户可以被授权访问下列类型的客户访问许可证。已被授予浮动许可证类型的" + 
		"用户将参与用户池，这些用户共享许可证服务器上安装的同一类型的可用浮动许可证。",
	'product': "产品",
	'edition': "修订版",
	'type': "类型",
	'status': "状态",
	'issued': "已发放",
	'overallFloatingHeading': "配置浮动许可证服务器",
	'floatingHeading': "浮动许可证服务器",
	

	'floatingDescription': "一旦安装浮动客户访问许可证激活密钥，此服务器就将作为浮动许可证服务器工作。" + 
			"浮动客户访问许可证可以由此服务器或其他服务器上的多个用户共享，并可以在该许可证的副本可用时根据需要被获取。" +			
			"服务器可以通过使用“服务器激活密钥”部分中的“连接”链接指定此服务器来授权访问这些浮动许可证。" + 
			"用户必须被授权访问其中一种已安装的浮动许可证类型，" +
			"才能参与共享该类型可用浮动许可证的用户池。", 
			
	'serverTabLabel': "服务器与客户机访问",
	'floatingTabLabel': "浮动许可证服务器", 
	'refreshDirty': "刷新将导致丢失变更。要继续吗？",
	'floatingUploadWarning': "您已上载浮动许可证。请转到${0}浮动许可证服务器${1}选项卡以预览变更。",
	'convertToFloatingWarning': "您已上载浮动许可证。保存变更将把此服务器转让为浮动许可证服务器。",
	'loadingLicenseInfo': "正在装入许可证信息", 
	'savingLicenseInfo': "正在保存许可证信息...", 
	'saveComplete': "保存完成", 
	'saveError': "发生问题，未保存许可证配置", 
	'calTypelabel': "客户访问许可证激活密钥",
	'serverTypelabel': "服务器激活密钥",
	'floatingTypelabel': "浮动客户访问许可证激活密钥",		
	'uploadFormLabel': "上载许可证激活密钥：",
	'uploadingFile': "正在上载文件", 
	'unlimited': "-", 
	'notApplicable': "", 
	'deactivatedReason': "已取消激活（${0}）", 
	'activated': "已激活", 
	'activateText': "激活...",
	'acquiredLinkLabel': "${0} 已获取（浮动）", 
	'assignedLinkLabel': "${0} 已分配", 
	'noFloatSupport': "新服务器许可证不支持浮动许可证。如果保存许可证变更，那么活动的浮动租约将终止。", 
	'noFloatMismatch': "新服务器许可证不支持浮动 CAL，这将导致对现有的许可证配置进行一些变更。在保存前，请复审本页面的内容。",
	'serverProduct': "产品", 
	'serverEdition': "修订版", 
	'serverDescription': "描述", 
	'maximumUsers': "最大用户数", 
	'countedUsers': "用户及许可证计数",
	'serverStatus': "状态", 
	'permanent': "永久许可证", 
	'expiredTrial': "已到期的试用许可证", 
	'trial': "试用", 
	'expiredOn': "已于以下时间到期",
	'expiresOn': "将于以下时间到期", 
	'serverError': "与服务器通信时发生问题", 
	'serverUnreachable': "（服务器不可达）",
	'calVersion': "版本",
	
	'validating': "正在验证许可证信息", 
	'pendingCalDeactivation': "客户访问类型“${0}”将被取消激活。有关更多信息，请参阅“客户访问许可证激活密钥”部分。",
	'purchaseCountError': "请解决以下客户访问许可证激活密钥购买计数问题",
	'serverLicenseError': "服务器许可证有问题。请解决以下状态部分中描述的问题，然后继续。",
	'successfulUpload': "已成功地上载许可证激活密钥",
	'errorUpload': "上载许可证激活密钥时发生错误：",
	'viewIssued': "查看已发放的许可证",
	'invalidCount': "此密钥的购买计数必须介于数字 0 与 ${0} 之间" ,
	
	'step1Title' : "上载许可证文件",
	'step2Title' : "连接到浮动许可证服务器",
	'editFloatTitle' : "配置浮动许可证服务器",
	'editCALTitle' : "配置客户访问许可证类型",
	
	'edit': "编辑",
	'add': "添加...",
	
	'pendingChangesInfo': "上载另一个许可证密钥，或者单击“完成”进行保存。",
	'pendingChangesEditMode':"单击“完成”按钮以保存暂挂的变更。",
	'cancelWizard': "您是否确定要退出此向导？所作的任何变更都将丢失。请单击“取消”以继续工作，单击“确定”以退出。",
	'confirmDelete': "确实要除去此密钥吗？如果将其除去，那么它将不会被上载。",
		
	'enterNumberCALS' : "请输入已购买的许可证的数目",
	'uploadedSoFar' : "暂挂的许可证密钥上载",
	'uploadAnotherButton' : "上载另一个密钥",
	'wizardUpload': "上载许可证文件",
	
	'uploadTips': "使用下面的上载表单将许可证密钥添加到此服务器。在退出本向导前，可以上载多个密钥。以后，可以在需要时修改这些变更。",
	'configFloatingStepTitle': "连接到浮动许可证服务器",  
	'configFloatingdescription': "配置此服务器以连接至浮动许可证服务器。请提供浮动许可证服务器的 URI，以便获取对该服务器上的浮动许可证的访问权。", 
	'configFloatingHelp': "浮动客户访问许可证可以由多个用户共享，当许可证服务器上有可用的许可证副本时，这些用户可以在需要许可证时逐个地获取许可证。请提供浮动许可证服务器的 URI，以便获取对该服务器上的浮动许可证的访问权。然后，此服务器上的用户就可以获取浮动许可证。",
	'configFloatingBlockLabel': "请提供许可证服务器 URI 以访问浮动许可证：",
	'floatingLicType': "这是可供一组用户使用的浮动许可证类型。",
	'setFloatingServerURL': "是，我希望允许此服务器上的用户获取此许可证服务器上的浮动许可证。",
	'floatingConnectOption': "配置此服务器的浮动能力",
	'noRowsYet': "当前尚未上载任何暂挂的许可证密钥。请单击“浏览”以上载密钥。",
	'noKeysToEdit': "当前没有可编辑的许可证密钥。请单击“完成”并首先上载密钥。",
	'noCALsYet': "当前尚未上载任何许可证密钥。请单击“添加...”以上载密钥。",
	
	'removeKey' : "从暂挂的上载中除去此许可证密钥。",
	'connectText': "连接...",
	'modifyLink': "修改...",
	'floatingServer': "浮动许可证服务器",
	'configuredClient': "已连接到 ${0} 处的许可证服务器。",
	'configuredServer': "此服务器是浮动许可证服务器（已安装 ${0} 种浮动许可证类型）。",
	'configuredServerOne': "此服务器是浮动许可证服务器（已安装 ${0} 种浮动许可证类型）。",
	'notConfiguredClient': "尚未连接到浮动许可证服务器。",
	'notConfiguredServer': "此服务器不是浮动许可证服务器（尚未安装任何浮动许可证类型）。",
	'licenseServerError': "与该许可证服务器进行通信时发生错误：",
	'multipleWarnings': "发生 ${0} 个警告。",
	'multipleErrors': "发生 ${0} 个错误。",
	
	'defaultWizardHeader': "设置缺省客户访问许可证密钥" ,
	'setDefault': "设置为缺省...",
	'pickDefaultLicense': "请选择缺省许可证密钥：",
	'noDefault': "无"
	
	

})

