/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
({
	//template
	
	'wizardPageHeading': "Configure Repository's Public URL",
	'wizardPageDescription1': "The Jazz Team Server generates absolute URIs to resources used in mail notifications, feeds, for copying to the system clipboard, for Web access and for stable resource identification across Rational products. These URIs are typically referred to as \"public URIs\". ",
	'wizardPageDescription2': "These generated URIs may be referenced in contexts that are outside of the local network in which clients typically access your server (say, outside of your corporate firewall). To accommodate that configuration you may need to provide an alternate or \"public\" hostname/authority used to identify those URIs. For example, you may have a proxy server outside your firewall that forwards these requests to the originating Jazz Team Server inside your local network, and you want these public URIs to be generated relative to that proxy.",
	'wizardPageDescription3': "Or, it may be the case that your Jazz Team Server host is known under multiple hostname/domains in your network, and you want to provide a consistent authority under which all clients in your network will be able to resolve these URIs.",
	'wizardPageDescription4': "If either of these cases are true, configure that authority value here, as in: \"https://<publichostname><:port-number>/<context>\". Leaving this value unset uses the scheme/host/port/context known to the server as the default authority for these public URIs.",
		
	'step1Label': "Step 4.1:",
	'step1Title': "Configure Repository's Public URL", 
	'restoreLabel': "Restore to Saved",
	'testConnectionLabel': "Test Connection"

})	



